vgp.numeric.smooth

## Class PjSmooth

- java.lang.Object
- - jv.object.PsObject
  - - jv.project.PjProject
    - - vgp.numeric.smooth.PjSmooth

- All Implemented Interfaces:
    java.awt.event.ActionListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, PsTimeListenerIf, PsUpdateIf, PvPickListenerIf

      public class PjSmooth
      extends PjProject
      implements java.awt.event.ActionListener

  Project for the smoothing workshop allows to smooth a noisy geometry file.

  Noisy geometries are smoothed according to a Laplacian or different mean curvature flows. The flows may be anisotropic and adjust to the geometry.

  See Also:
    Serialized Form
  Version:
    30.09.02, 1.20 revised (kp) Moved to vgp.numeric.smooth from dev.app.smooth.
    30.09.02, 1.10 revised (kp) Applet parameter implemented to set the model and the feature size.
    00.00.03, 1.00 created (kh)

- - ### Field Summary

    - ### Fields inherited from class jv.object.PsObject

      `HAS_BOUNDARY_PANEL, HAS_CONFIG_PANEL, HAS_INFO_PANEL, HAS_LABEL_PANEL, HAS_MATERIAL_PANEL, HAS_TEXTURE_PANEL, HAS_VECTOR_PANEL, INSPECTOR_INFO, INSPECTOR_INFO_EXT, IS_DELETED, IS_FIXED, IS_FOCUSSED, IS_PICKED, IS_SELECTED, IS_USED, NUM_TAGS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PjSmooth()` Constructor without arguments to allow loading of project from menu.
    `PjSmooth(java.lang.String fileName)` Constructor with geometry file to be loaded.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(java.awt.event.ActionEvent event)` Catch action events from the import loader when a new model was loaded.
    `void` | `init()` Do initialization of data structures; method is also used to reset instances.
    `boolean` | `setGeometry(PgGeometryIf newGeomIf)` Assign a new geometry to the smoothing workshop.
    `void` | `start()` Start project, e.g. start an animation.
    `boolean` | `update(java.lang.Object event)` Update method of project to react on changes in its panel or of its children.

    - ### Methods inherited from class jv.project.PjProject

      `addDisplay, addGeometry, addGeometry, dispose, dragDisplay, dragInitial, dragVertex, fitDisplays, getAnimation, getDisplay, getDisplays, getGeometry, getGeometry, getNumGeometries, getParameter, getParameterInfo, getViewer, hasAnimation, hasDisplay, isEnabledAutoFit, markVertices, pickDisplay, pickInitial, pickVertex, removeDisplay, removeGeometries, removeGeometry, selectDisplay, selectGeometry, setAnimation, setBackColor, setBorderType, setDisplay, setEnabledAutoFit, setParameterInfo, setTime, setViewer, stop, unmarkVertices`

    - ### Methods inherited from class jv.object.PsObject

      `addInspector, addUpdateListener, assureInspector, clearTag, clone, clone, clone, copy, getFather, getInfoPanel, getInspector, getName, getNumObjects, getSymbol, hasInspector, hasTag, hasUpdateListener, instanceOf, instanceOf, newInspector, newInspector, removeInspector, removeInspector, removeUpdateListener, setName, setParent, setSymbol, setTag, toString, updatePanels`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface jv.anim.PsTimeListenerIf

      `getName`

    - ### Methods inherited from interface jv.project.PvPickListenerIf

      `getName`

- - ### Constructor Detail

    - #### PjSmooth

          public PjSmooth()

      Constructor without arguments to allow loading of project from menu.

    - #### PjSmooth

          public PjSmooth(java.lang.String fileName)

      Constructor with geometry file to be loaded.

  - ### Method Detail

    - #### init

          public void init()

      Do initialization of data structures; method is also used to reset instances.
      Overrides:
        `init` in class `PjProject`

    - #### start

          public void start()

      Start project, e.g. start an animation. Method is called once when project is selected in PvViewer#selectProject(). Method is optional. For example, if an applet calls the start() method of PvViewer, then PvViewer tries to invoke the start() method of the currently selected project.
      Overrides:
        `start` in class `PjProject`
      See Also:
        `PvViewerIf.start()`, `PjProject.isEnabledAutoFit()`

    - #### actionPerformed

          public void actionPerformed(java.awt.event.ActionEvent event)

      Catch action events from the import loader when a new model was loaded.
      Specified by:
        `actionPerformed` in interface `java.awt.event.ActionListener`

    - #### update

          public boolean update(java.lang.Object event)

      Update method of project to react on changes in its panel or of its children. This method is optional, but required if project is parent of a child. Project becomes parent if child calls `child.setParent(this)` with this project as argument. For example, see the constructor of MyProject. Project must react on child events, or forward them to its superclass.

      Catch events of integer children and recompute surface.

      Specified by:
        `update` in interface `PsUpdateIf`
      Overrides:
        `update` in class `PsObject`
      Parameters:
        `event` - carries a lot of information
      Returns:
        true if event has been handled, otherwise false
      See Also:
        `PsObject.setParent(PsUpdateIf)`, `PsObject.getFather()`, `PsObject.addUpdateListener(PsUpdateIf)`

    - #### setGeometry

          public boolean setGeometry(PgGeometryIf newGeomIf)

      Assign a new geometry to the smoothing workshop.
      Overrides:
        `setGeometry` in class `PjProject`
      Parameters:
        `newGeomIf` - main geometry of this project.

"

The software JavaView? is copyright protected. All Rights Reserved.
"